%global momorel 2

%define __libtoolize :

Summary: playlist parser
Name: totem-pl-parser
Version: 2.26.2
Release: %{momorel}m%{?dist}
License: LGPL
Group: User Interface/Desktops
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.26/%{name}-%{version}.tar.bz2
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:    python
BuildPrereq: pkgconfig
BuildPrereq: intltool
BuildPrereq: hal-devel >= 0.5.12
BuildPrereq: dbus-devel >= 1.2.4
BuildPrereq: glib2-devel >= 2.20.0
BuildPrereq: gtk2-devel >= 2.16.0
BuildPrereq: libxml2-devel >= 2.7.3
BuildPrereq: gnome-vfs2-devel >= 2.24.0
BuildPrereq: evolution-data-server-devel >= 2.26.0

%description
totem-pl-parser is a simple GObject-based library to parse a host of
playlist formats, as well as save those

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gtk2-devel
Requires: libxml2-devel
Requires: glib2-devel

%description devel
%{name}-devel

%prep
%setup -q

%build
%configure --enable-gtk-doc --enable-static=no
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}

%clean
rm -rf --preserve-root %{buildroot}

%post
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache --quiet /usr/share/icons/hicolor
fi

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING.LIB ChangeLog NEWS README
%{_libdir}/lib*.so.*
%exclude %{_libdir}/lib*.la

%files devel
%defattr(-, root, root)
%{_includedir}/%{name}
%{_libdir}/*.so
%{_datadir}/gtk-doc/html/%{name}
%{_libdir}/pkgconfig/*.pc

%changelog
* Fri May 22 2009 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.26.1-2m)
- define __libtoolize (build fix)

* Sun May  3 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.1-1m)
- update to 2.26.2

* Fri Apr  3 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.1-1m)
- update to 2.26.1

* Mon Mar 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.0-1m)
- update to 2.26.0

* Fri Mar  6 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.92-1m)
- update to 2.25.92

* Wed Feb 11 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.90-1m)
- update to 2.25.90

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.24.3-2m)
- rebuild against rpm-4.6

* Wed Dec 10 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.3-1m)
- update to 2.24.3

* Thu Oct 30 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.2-1m)
- update to 2.24.2

* Thu Oct  9 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.1-1m)
- update to 2.24.1

* Tue Sep 30 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.0-2m)
- welcome evolution-data-server (delete patch)

* Sun Sep 28 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.0-1m)
- update to 2.24.0
- good-bye evolution-data-server

* Sun Jun  1 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.3-2m)
- delete some script in %%post

* Sat May 10 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.3-1m)
- update to 2.22.3

* Sat Apr 19 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.1-1m)
- update to 2.22.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.1-2m)
- rebuild against gcc43

* Fri Mar 14 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.1-1m)
- initial build
